Last Comment Bug 721378 - Permanent orange: TEST-UNEXPECTED-FAIL | test-toolbar.js | test-toolbar.js::test_new_toolbar_with_default_tb3
: Permanent orange: TEST-UNEXPECTED-FAIL | test-toolbar.js | test-toolbar.js::t...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: Thunderbird 12.0
Assigned To: Mike Conley (:mconley) - (Away until June 29th)
:
Mentors:
Depends on:
Blocks: 715565
  Show dependency treegraph
 
Reported: 2012-01-26 06:56 PST by Mike Conley (:mconley) - (Away until June 29th)
Modified: 2012-11-25 19:31 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch v1 (1.19 KB, patch)
2012-01-26 07:18 PST, Mike Conley (:mconley) - (Away until June 29th)
standard8: review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Mike Conley (:mconley) - (Away until June 29th) 2012-01-26 06:56:46 PST
The patch for bug 715565 broke some of our tests.  We're seeing the following on trunk:

SUMMARY-UNEXPECTED-FAIL | test-toolbar.js | test-toolbar.js::test_new_toolbar_with_default_tb3
  EXCEPTION: The currentset is incorrect.: 'button-getmsg,button-newmsg,button-address,spacer,button-tag,spring,gloda-search' != 'button-getmsg,button-newmsg,button-address,spacer,button-tag,spring,gloda-search,throbber-box'.
    at: test-folder-display-helpers.js line 2842
       assert_true(false,"The currentset is incorrect.: 'button-getmsg,button-newmsg,button-address,spacer,button-tag,spring,gloda-search' != 'button-getmsg,button-newmsg,button-address,spacer,button-tag,spring,gloda-search,throbber-box'.") test-folder-display-helpers.js 2842
       assert_equals("button-getmsg,button-newmsg,button-address,spacer,button-tag,spring,gloda-search","button-getmsg,button-newmsg,button-address,spacer,button-tag,spring,gloda-search,throbber-box","The currentset is incorrect.") test-folder-display-helpers.js 2829
       assert_default_tb3_settings([object XULElement],true) test-toolbar.js 96
       test_new_toolbar_with_default_tb3() test-toolbar.js 164
            frame.js 557
            frame.js 626
            frame.js 669
            frame.js 497
            frame.js 675
            server.js 179
            server.js 183
SUMMARY-UNEXPECTED-FAIL | test-toolbar.js | test-toolbar.js::test_new_toolbar_with_custom_tb3
  EXCEPTION: The currentset is incorrect.: 'button-getmsg,button-newmsg,button-address,spacer,button-tag,spring,gloda-search' != 'button-getmsg,button-newmsg,button-address,spacer,button-tag,spring,gloda-search,throbber-box'.
    at: test-folder-display-helpers.js line 2842
       assert_true(false,"The currentset is incorrect.: 'button-getmsg,button-newmsg,button-address,spacer,button-tag,spring,gloda-search' != 'button-getmsg,button-newmsg,button-address,spacer,button-tag,spring,gloda-search,throbber-box'.") test-folder-display-helpers.js 2842
       assert_equals("button-getmsg,button-newmsg,button-address,spacer,button-tag,spring,gloda-search","button-getmsg,button-newmsg,button-address,spacer,button-tag,spring,gloda-search,throbber-box","The currentset is incorrect.") test-folder-display-helpers.js 2829
       assert_default_tb3_settings([object XULElement],false) test-toolbar.js 96
       test_new_toolbar_with_custom_tb3() test-toolbar.js 204
            frame.js 557
            frame.js 626
            frame.js 669
            frame.js 497
            frame.js 675
            server.js 179
            server.js 183
Comment 1 Mike Conley (:mconley) - (Away until June 29th) 2012-01-26 07:18:26 PST
Created attachment 591788 [details] [diff] [review]
Patch v1

This fixes the test for me, locally.

It's a bit strange that this test seems to test the migration to TB3..."TBCurrent" might be more accurate.
Comment 2 Mike Conley (:mconley) - (Away until June 29th) 2012-01-26 09:26:39 PST
Landed on comm-central as http://hg.mozilla.org/comm-central/rev/09fa0d1410b9
Comment 3 Mike Conley (:mconley) - (Away until June 29th) 2012-01-31 10:32:27 PST
Landed on comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/2247f3164ac8

Note You need to log in before you can comment on or make changes to this bug.